Build #2 for pappy-0.1.0.2

[all reports]

Package pappy-0.1.0.2
Install InstallOk
Docs Ok
Tests NotTried
Time submitted 2015-05-20 20:50:55.087922 UTC
Compiler ghc-7.8.3
OS linux
Arch x86_64
Dependencies base-4.7.0.1
Flags none

Build log

[view raw]

Resolving dependencies...
Downloading pappy-0.1.0.2...
Configuring pappy-0.1.0.2...
Building pappy-0.1.0.2...
Preprocessing executable 'pappy' for pappy-0.1.0.2...
[1 of 9] Compiling Pos              ( src/Pos.hs, dist/build/pappy/pappy-tmp/Pos.o )
[2 of 9] Compiling Parse            ( src/Parse.hs, dist/build/pappy/pappy-tmp/Parse.o )

src/Parse.hs:39:10: Warning:
    ‘Parser’ is an instance of Monad but not Applicative - this will become an error in GHC 7.10, under the Applicative-Monad Proposal.
[3 of 9] Compiling Pappy            ( src/Pappy.hs, dist/build/pappy/pappy-tmp/Pappy.o )
[4 of 9] Compiling ReadGrammar      ( src/ReadGrammar.hs, dist/build/pappy/pappy-tmp/ReadGrammar.o )
[5 of 9] Compiling ReduceGrammar    ( src/ReduceGrammar.hs, dist/build/pappy/pappy-tmp/ReduceGrammar.o )
[6 of 9] Compiling SimplifyGrammar  ( src/SimplifyGrammar.hs, dist/build/pappy/pappy-tmp/SimplifyGrammar.o )
[7 of 9] Compiling MemoAnalysis     ( src/MemoAnalysis.hs, dist/build/pappy/pappy-tmp/MemoAnalysis.o )

src/MemoAnalysis.hs:26:10: Warning:
    No explicit implementation for
      either ‘negate’ or ‘-’
    In the instance declaration for ‘Num Cost’
[8 of 9] Compiling WriteParser      ( src/WriteParser.hs, dist/build/pappy/pappy-tmp/WriteParser.o )
[9 of 9] Compiling Main             ( src/Main.hs, dist/build/pappy/pappy-tmp/Main.o )
Linking dist/build/pappy/pappy ...
Warning: No documentation was generated as this package does not contain a
library. Perhaps you want to use the --executables, --tests or --benchmarks
flags.
Installing executable(s) in
/home/builder/hackage-server/build-cache/tmp-install/bin
Warning: The directory
/home/builder/hackage-server/build-cache/tmp-install/bin is not in the system
search path.
Installed pappy-0.1.0.2